Display LCD2USB {
    Driver	'LCD2USB'
    Contrast	2
    Size	'16x2'
}

Widget Load {
    class 'Text'
    expression loadavg(1)
    prefix 'Load'
    width 9
    precision 2
    align 'R'
    update tick
}

Widget RAM {
    class  'Text'
    expression meminfo('MemFree') / 1024
    postfix 'MB'
    width  6
    precision 0
    align  'R'
    update tick
}

Widget Disk {
    class 'Text'
    expression (diskstats('sd.', 'read_sectors', 500) + diskstats('sd.', 'write_sectors', 500)) / 1024
    prefix 'Disk'
    width 8
    precision 0
    align 'R'
    update tick
}	

Widget Net {
    class 'Text'
    expression (netdev('eth.', 'Rx_bytes', 500) + netdev('eth.', 'Tx_bytes', 500)) / 1024
    prefix 'Net'
    width 7
    precision 0
    align 'R'
    update tick
}

Layout Default {
    Row1 {
	Col1	'Load'
	Col11	'RAM'
    }
    Row2 {
	Col1	'Disk'
	Col10	'Net'
    }
}

Variables {
   tick 500
}

Display 'LCD2USB'
Layout 'Default'
